<bugID>254021<Summary>Ability to open accidentally closed tabs</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040703 Firefox/0.9.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040703 Firefox/0.9.1

I'm filing a few enhancement request for the coolest features of the wonderful
TabBrowser Extensions, so that they can be considered for post-1.0 and maybe
voted on.

This request is for an "undo close tab" or "recently closed tabs" (sub)menu.
When a tab is closed, it should be saved to a cache, and there should be a menu
somewhere in the UI to show this cache. Clicking on an entry on the menu opens a
new tab with the same contents as what used to be in the corresponding entry.

This should save the "buffer" to the cache, not just the URL, so that
"unclosing" a tab that was displaying the results of submitting a form would
still work.

An UI command that can be bound to a key should be available to "unclose" the
last closed tab; this should be bound by default to something (TBE uses
Ctrl-Shift-Z, but maybe Ctrl-Alt-W or something like that would also make sense).

Reproducible: Always
Steps to Reproduce:




http://white.sakura.ne.jp/~piro/xul/_tabextensions.html.en</Description></bugID>